# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "smbcloud-networking"
version = "0.4.0"
authors = ["Seto Elkahfi <hej@setoelkahfi.se>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Command line tool for deploying NextJS app on the smbCloud platform."
documentation = "https://smbcloud.xyz/posts"
readme = "README.md"
keywords = [
    "cli",
    "cloud",
    "web2",
    "web3",
    "smbcloud",
]
categories = [
    "command-line-utilities",
    "command-line-interface",
    "cryptography::cryptocurrencies",
    "development-tools",
    "wasm",
]
license = "Apache-2.0"
repository = "https://github.com/smbcloudXYZ/smbcloud-cli"

[lib]
name = "smbcloud_networking"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[dependencies.smbcloud-network]
version = "0.4.0"

[dependencies.url-builder]
version = "0.1.1"
